# DeubertIt :: ElasticApmZf1Mvc

ZF1 mvc as transactions in elastic apm

## How to integrate into a project

Add `\DeubertIt\ElasticApmZfMvc\ElasticApmZfMvc::enable();` in `Zend_Bootstrap`

### Package Integration

1. Add composer repository

#### Production

```json
{
    "repositories": [
        {
            "type": "git",
            "url": "https://gitlab.deubert.it/deubert-it/elastic-apm-zf1-mvc.git"
        }
    ],
    "require": {
        "deubertit/elastic-apm-zf1-mvc": "*@dev"
    }
}
```

#### Development

```json
{
    "repositories": [
        {
            "type": "path",
            "url": "../<path-to-the-package>"
        }
    ],
    "require": {
        "deubertit/elastic-apm-zf1-mvc": "*@dev"
    }
}
```

### Tests

```bash
composer install

docker-compose run --rm php php ./vendor/bin/phpunit
```
